%define hal_version 0.5.4
Summary: The GNOME Volume Manager
Name: gnome-volume-manager
Version: 2.24.1
Release: %mkrel 1
License: GPLv2+
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-cdda-handler
Source2: cdda-url-handler.schemas
# (fc) 1.0.3-1mdk use dynamic script to start apps
Patch0: gnome-volume-manager-2.24.1-dynamic.patch
# (fc) 1.0.3-3mdk respect storage.automount_enabled_hint and storage.policy.should_mount HAL properties 
Patch1: gnome-volume-manager-2.15.0-hint.patch
# (fc) 1.5.15-1mdk don't set sync mount option
Patch2: gnome-volume-manager-nosync.patch
# (fc) 1.5.15-4mdv enable SM connection
Patch4:	gnome-volume-manager-2.24.0-enablesm.patch
# (fc) 2.15.0-2mdv fix console detection (Fedora)
Patch5: gnome-volume-manager-2.17.0-fixconsole.patch
# (fc) 2.17.0-2mdv disable automount when screensaver is running (Fedora)
Patch6: gnome-volume-manager-2.22.0-check-screensaver.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: hal-devel >= %hal_version
BuildRequires: libnotify-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: autoconf2.5
Requires: gnome-mount >= 0.6-3mdv
Requires: dynamic >= 0.26.14
Obsoletes: magicdev
Provides: magicdev

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Volume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q
%patch0 -p1 -b .dynamic
%patch1 -p1 -b .hint
%patch2 -p1 -b .nosync
%patch4 -p1 -b .enablesm
%patch5 -p1 -b .fixconsole
%patch6 -p1 -b .check-screensaver

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name
desktop-file-install --vendor="" \
  --add-category="HardwareSettings" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


cat << EOF > $RPM_BUILD_ROOT%{_bindir}/magicdev
#!/bin/sh
#
# This is a compatibility wrapper script to start gnome-volume-manager
# for users who previously used magicdev.  This script will be invoked
# automatically by the session manager until the user saves his/her
# session.
exec gnome-volume-manager $*
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/magicdev

install -d $RPM_BUILD_ROOT%{_libdir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/gnome-cdda-handler
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome-volume-manager cdda-url-handler
%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas %{schemas}
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%{_datadir}/gnome-volume-manager
%{_datadir}/applications/*
%_libexecdir/%name
%{_sysconfdir}/gconf/schemas/cdda-url-handler.schemas
%{_sysconfdir}/gconf/schemas/gnome-volume-manager.schemas
%{_sysconfdir}/xdg/autostart/*


%changelog
* Sun Feb 15 2009 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 340624
- new version
- update patch 0
- update license
- drop patches 7,8

* Wed Dec 24 2008 Frederic Crozat <fcrozat@mandriva.com> 2.24.0-3mdv2009.1
+ Revision: 318303
- Regenerate patch 2
- Patch8 (Gentoo): fix startup with Consolekit 0.3 (Gentoo bug #248471)

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2.24.0-2mdv2009.0
+ Revision: 290081
- Patch7 (SVN): really ignore volume which are flagged as ignored by hal

* Wed Sep 24 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287697
- new version
- update patch 4

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.22.5-2mdv2009.0
+ Revision: 264597
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Fri Apr 25 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 197363
- new version
- drop patch 7

* Fri Mar 07 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.1-5mdv2008.1
+ Revision: 181281
- Patch7 (Fedora): disable mount and multimedia, it is handled by nautilus now

* Thu Jan 24 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-4mdv2008.1
+ Revision: 157392
- support the ipod script

* Fri Jan 18 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2008.1
+ Revision: 154695
- new version
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Funda Wang <fundawang@mandriva.org>
    - remove useless category
    - drop old menu

* Sat Dec 08 2007 Götz Waschk <waschk@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 116423
- oops, forgot to apply patch 0

* Fri Dec 07 2007 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 116140
- new version
- rediff patches 0,4,6
- drop patches 7,8
- update file list

* Fri Sep 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.0-6mdv2008.0
+ Revision: 93660
- Remove patch3, was trying to unmount too much stuff (Mdv bug #33910)
- Update patch8 to prevent unmounted ejected devices at shutdown

* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.0-5mdv2008.0
+ Revision: 84367
- Patch8:  unmount ejected media which where mounted through fstab (Mdv bug #30157)

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17.0-4mdv2008.0
+ Revision: 64191
- rebuild


* Fri Mar 09 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.0-3mdv2007.1
+ Revision: 138945
-Update patch0 to enable blank CD detection and use n-c-b / serpentine (Mdv bug #29285)
- Update patch5 with new fedora version (disable g-v-m when user doesn't have console privilege)
- Patch6 (Fedora) : disable automount if screensaver is running
- Patch7 (SVN): fix potential dbus crash
- Add missing categories for gnome control center

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.17.0-2mdv2007.1
+ Revision: 87923
- bot rebuild
- new version
- unpack patches
- disable patch 5
- Import gnome-volume-manager

* Wed Sep 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-3mdv2007.0
- Move menu try to GNOME configuration

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.0-2mdv2007.0
- Patch5 (CVS): fix console detection

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 2.15.0-1mdv2007.0
- drop patches 5,6,7,8
- rediff patch 1
- New release 2.15.0

* Tue Jun 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-6mdv2007.0
- Use new macros (fix mdv bug #22623)

* Sat Jun 17 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-5mdv2007.0
- Add source1,2 :cdda handler, allowing to start audio CD application to start
  when double-clicking on audio cd icon in nautilus (Fedora)
- Patch5 (CVS): change dir to mounted media before executing scripts
- Patch6 (CVS): don't show low disk notificaton on read-only volume
- Patch7 (CVS): ignore mount status for volume mounted by other
- Patch8 (CVS): add noexec for vfat, noatime for udf

* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-4mdv2007.0
- Patch4: enable connection to session manager

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 1.5.15-3mdk
- depend on gnome-mount

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 1.5.15-2mdk
- fix buildrequires

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.15-1mdk
- Release 1.5.15
- Patch2: don't set sync mount option
- Patch3: really unmount all devices when exiting
- Regenerate patch1

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.9-2mdk
- Rebuild with latest dbus

* Fri Jan 13 2006 Gtz Waschk <waschk@mandriva.org> 1.5.9-1mdk
- New release 1.5.9

* Fri Jan 06 2006 Götz Waschk <waschk@mandriva.org> 1.5.8-1mdk
- New release 1.5.8
- drop patch 2
- update patch 0

* Mon Dec 12 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.5-2mdk
- Patch2: use good API for HAL mount

* Thu Dec 08 2005 Gtz Waschk <waschk@mandriva.org> 1.5.5-1mdk
- update patch 1
- drop patch 2
- New release 1.5.5
- use mkrel

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.4-3mdk
- Patch2: disable pmount

* Sun Nov 06 2005 Gtz Waschk <waschk@mandriva.org> 1.5.4-2mdk
- depend on pmount

* Fri Oct 28 2005 Götz Waschk <waschk@mandriva.org> 1.5.4-1mdk
- New release 1.5.4

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.3-1mdk
- Release 1.5.3
- Regenerate patches 0, 1
- Remove patches 2 (no longer needed)

* Wed Sep 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-2mdk 
- Patch2: fix autorun message (Mdk bug #18731)

* Thu May 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- New release 1.2.2

* Tue Apr 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.1-1mdk 
- Release 1.2.1 (based on Gtz Waschk package)
- Regenerate patches 0 & 1 (partially merged)

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-6mdk 
- Fix parameter when calling digicam script (Mdk bug #15046)

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-5mdk 
- Update patch1 to respect storage.automount_enabled_hint and storage.policy.should_mount HAL properties (Mdk bug #15088)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk 
- Change menu location
- Obsoletes magicdev

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk 
- Patch1 (CVS): correctly handled removables devices (usb key...)
- Remove unneeded dependencies

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk 
- Patch0 : use dynamic scripts to start apps

* Tue Feb 01 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- New release 1.0.3

* Mon Oct 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-3mdk
- fix gconf script

* Tue Sep 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- add menu entry for gnome-volume-properties

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- bump hal dep
- New release 1.0.2

* Sat Sep 11 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Wed Sep 01 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- New release 0.9.10

* Tue Aug 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Uninstall schema when uninstall package

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Fri Apr 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

